Bug 695 - Inetd daemon leaks file desriptors
Summary: Inetd daemon leaks file desriptors
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netkit-base (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-05 21:07 UTC by miguel
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-07 21:22:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description miguel 1999-01-05 21:07:51 UTC
On a server that takes several connections from inetd,
it will start leaking file desciptors until inetd stops
responding.

Comment 1 David Lawrence 1999-01-07 22:25:59 UTC
Is there any more information that can be provided and also some steps
to recreate the problem?

Comment 2 miguel 1999-01-08 19:26:59 UTC
I gets this problem on a host that receives a lot of mail traffic
and the qmail daemon is launched from inetd.

I talked to Bryce (the current netkit maintainer) and he ackonwledged
the bug and told me this was fixed on an experimental branch (so the
patch is not easy to fetch from that branch).

Comment 3 Jeff Johnson 1999-02-17 23:08:59 UTC
Inetd has been replaced in Raw Hide with the OpenBSD version.
Please reopen this bug if the inetd version in Raw Hide exhibits
this behavior, or when a patch for the 5.2 netkit inetd is available.

Comment 4 Jeff Johnson 1999-04-07 21:22:59 UTC
Fixed (again, after reverting back to netkit) in netkit-base-0.10-29.


Note You need to log in before you can comment on or make changes to this bug.